'use strict'

const axios = require('axios')

const coLoggerLib = require('../logger.js')

module.exports = function (ioData, ifCb) {
  coLoggerLib.logVerbose('Request/Data: ', ioData)
  axios(ioData)
    .then((ioResponse) => {
      coLoggerLib.trace('Request/Response: ', ioResponse)
      coLoggerLib.logVerbose('Request/Response/Body: ', ioResponse.data)
      ifCb(null, ioResponse, ioResponse.data)
    })
    .catch((ioError) => {
      coLoggerLib.logVerbose('Request/Response/Error: ', ioError)
      if (typeof ioError.response !== 'undefined') {
        coLoggerLib.trace('Request/Response/Error/Msg: ', JSON.stringify(ioError.response.data))
        ifCb(ioError, ioError.response, ioError.response.data)
      } else { ifCb(ioError) }
    })
}
